### Method

# Gtk Buildervalue_from_string

#### Declaration [src]

    gboolean
    gtk_builder_value_from_string (
      GtkBuilder* builder,
      GParamSpec* pspec,
      const char* string,
      GValue* value,
      GError** error
    )

#### Description [src]

Demarshals a value from a string.

This function calls `g_value_init()` on the `value` argument, so it need not be initialised beforehand.

Can handle char, uchar, boolean, int, uint, long, ulong, enum, flags, float, double, string, `GdkRGBA` and `GtkAdjustment` type values.

Upon errors `FALSE` will be returned and `error` will be assigned a `GError` from the `GTK_BUILDER_ERROR` domain.

#### Parameters

`pspec`

  Type: `GParamSpec`

  The `GParamSpec` for the property.

  The data is owned by the caller of the method.

`string`

  Type: `const char*`

  The string representation of the value.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`value`

  Type: `GValue`

  The `GValue` to store the result in.

  The argument will be set by the function.
  The data is owned by the instance.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` on success.